<template>
  <div>
    <div v-if="url !== ''">
      <Create :structure="structure" :url="url" :items="items" :key="items.id" />
    <br>
    <br>
      <v-container class="grey lighten-5">
        <v-row no-gutters>
          <v-col
              v-for="item in items"
              :key="item.id"
              cols="12"
              sm="4"
          >
            <v-card
                max-width="400"
                class="mx-auto"
            >

              <v-app-bar
                  dark
                  color="blue darken-2"
              >

                <v-toolbar-title>{{ url.toUpperCase() }}</v-toolbar-title>

                <v-spacer></v-spacer>

              </v-app-bar>

              <v-container>
                <v-row dense>
                  <v-col cols="12">
                    <v-card
                        color="#385F73"
                        dark
                    >

                      <v-card-title class="text-h6" v-for="(value, key) in item" :key="key">
                        {{key}} : {{value}}
                      </v-card-title>

                      <v-card-actions>
                        <Update :updateid="item.id" :structure="structure" :url="url" :items="item" />
                        <Delete :updateid="item.id" :structure="structure" :url="url" :items="item" />
                      </v-card-actions>

                    </v-card>
                  </v-col>
                </v-row>
              </v-container>
            </v-card>
            <br>
          </v-col>
        </v-row>
      </v-container>
    </div>
  </div>
</template>

<script>

import Create from "@/components/Create";
import Update from "@/components/Update";
import Delete from "@/components/Delete";
import Browse from "./Browse";

export default {
  name: "Read",
  components: {
    Browse,
    Create,
    Update,
    Delete,
  },
  props: {
    items: Array,
    url: String,
    structure: {
      type: Object
    }
  },
  data() {
    return {
      updateid: '',
    }
  },
}
</script>

<style scoped>

</style>